Package Details: haruna-git 1.0.1.r12.g616f0317-1

Git Clone URL: https://aur.archlinux.org/haruna-git.git (read-only, click to copy)
Package Base: haruna-git
Description: Video player built with Qt/QML on top of libmpv
Upstream URL: https://apps.kde.org/haruna/
Licenses: GPL-3.0-or-later
Conflicts: haruna
Provides: haruna
Submitter: metak
Maintainer: metak
Last Packager: metak
Votes: 6
Popularity: 0.000003
First Submitted: 2020-03-15 17:56 (UTC)
Last Updated: 2024-03-23 13:36 (UTC)

Latest Comments

1 2 Next › Last »

X-3 commented on 2024-03-20 07:43 (UTC)

Need mpvqt in dependencies

motolly commented on 2023-08-12 20:36 (UTC)

Like the main arch package this one seems to be missing a dependency on Kdeclarative, which causes the interface to be incomplete.

sapphire commented on 2022-02-20 05:30 (UTC) (edited on 2022-02-20 05:32 (UTC) by sapphire)

FTBFS because of transition to ffmpeg 5. As mentioned on haruna aur the fix is to change declaration of src/haruna/src/framedecoder.h at line 72 from "AVCodec m_pVideoCodec;" to "const AVCodec m_pVideoCodec;" It needs patching with the package maintainer and eventually upstream.

metak commented on 2022-01-16 13:13 (UTC) (edited on 2022-01-16 13:14 (UTC) by metak)

@SolarAquarion I added kdoctools to makedepends, but I'll leave youtube runtime dependencies optional. Package builds fine and upstream also lists them as runtime.

SolarAquarion commented on 2022-01-15 23:25 (UTC)

you need to add kdoctools, yt-dlp, and youtube-dl to makedepends for it to build in a chroot

francoism90 commented on 2021-11-06 19:45 (UTC)

@metak But you also updated the dep. :)

metak commented on 2021-11-04 20:57 (UTC)

@francoism90 The -git packages are only outdated when the build process changes, otherwise it just pulls the latest commit.

francoism90 commented on 2021-11-04 20:43 (UTC)

@metak Thank you! :)